> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/import-dpsencryptionkeys.md).

# Import-DPSEncryptionKeys

### Sinopsis

Aplicar nuevas claves de cifrado en la base de datos de una instancia de Devolutions Server

### Sintaxis

#### \_\_AllParameterSets

```
Import-DPSEncryptionKeys [-ApplicationPath] <string> [-Filename] <string> [[-Password] <PSPassword>]
 [-WhatIf] [-Confirm] [<CommonParameters>]
```

### Descripción

Aplicar nuevas claves de cifrado en la base de datos de una instancia de Devolutions Server. El fichero de claves de cifrado debe generarse con Export-DPSEncryptionKeys. Se debe realizar una copia de seguridad de la base de datos SQL antes de esta operación. Todos los usuarios deben estar en modo offline o desconectados del workspace de Devolutions Server para evitar la pérdida de datos.

### Ejemplos

**En un sistema operativo Windows**

```powershell
PS C:\> $existingDVLSInstance = 'C:\my\path\dvlsInstance\'
PS C:\> $destination = 'C:\other\path\encryption.config'
PS C:\> Export-DPSEncryptionKeys -ApplicationPath $existingDVLSInstance -Destination $destination
```

**En un sistema operativo Linux, al crear una nueva instancia de DLVS utilizando la misma base de datos** PS home/user/linuxDlvsInstance> $newDvlsInstance = '/home/user/linuxDlvsInstance' PS home/user/linuxDlvsInstance> $keysToImport = '/path/to/encryption.config' PS home/user/linuxDlvsInstance> Import-DPSEncryptionKeys -ApplicationPath $newDvlsInstance -Filename $keysToImport

Exportar las claves de cifrado desde un DVLS de Windows. Utilice esas claves al crear una nueva instancia de DVLS que use la misma base de datos.

### Parámetros

#### -ApplicationPath

Directorio de la aplicación

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Confirm

Le solicita confirmación antes de ejecutar el cmdlet.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Filename

Fichero de claves de cifrado que se debe importar

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Password

Contraseña para acceder al fichero de claves de cifrado

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSPassword
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Muestra lo que ocurriría si se ejecutara el cmdlet. El cmdlet no se ejecuta.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notas

Para más información, escriba "Get-Help Import-DPSEncryptionKeys -detailed". Para obtener información técnica, escriba "Get-Help Import-DPSEncryptionKeys -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/import-dpsencryptionkeys.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
